org.apache.pdfbox.preflight.content

## Class ContentStreamException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.pdfbox.preflight.exception.ValidationException
        - - org.apache.pdfbox.preflight.content.ContentStreamException

All Implemented Interfaces:
  Serializable

    public class ContentStreamException
    extends ValidationException

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.pdfbox.preflight.exception.ValidationException

`pageNumber`

### Constructor Summary

Constructors
Constructor and Description
`ContentStreamException(String arg0)`
`ContentStreamException(String arg0, Throwable arg1)`
`ContentStreamException(Throwable arg0)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getErrorCode()`
`void` `setErrorCode(String errorCode)`

### Methods inherited from class org.apache.pdfbox.preflight.exception.ValidationException

`getPageNumber`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContentStreamException

    public ContentStreamException(String arg0,
                                  Throwable arg1)

#### ContentStreamException

    public ContentStreamException(String arg0)

#### ContentStreamException

    public ContentStreamException(Throwable arg0)

### Method Detail

#### getErrorCode

    public String getErrorCode()

#### setErrorCode

    public void setErrorCode(String errorCode)